--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: deg2deg
- !ruby/object:RI::MethodSummary 
  name: deg2grad
- !ruby/object:RI::MethodSummary 
  name: deg2rad
- !ruby/object:RI::MethodSummary 
  name: grad2deg
- !ruby/object:RI::MethodSummary 
  name: grad2grad
- !ruby/object:RI::MethodSummary 
  name: grad2rad
- !ruby/object:RI::MethodSummary 
  name: rad2deg
- !ruby/object:RI::MethodSummary 
  name: rad2grad
- !ruby/object:RI::MethodSummary 
  name: rad2rad
- !ruby/object:RI::MethodSummary 
  name: remt
comment: 
- !ruby/struct:SM::Flow::P 
  body: Encapsulate some of the mathematical calculations that need to be performed when working with PDF documents. All angles in PDF::Writer are measured in degrees, but all angles in PDF documents are in radians. The standard conversions between radians, degrees, and gradians are provided.
- !ruby/struct:SM::Flow::P 
  body: As with the Perl implementations of these conversions, they will be wrapped in the range of the target measurement (0..PI2 for radians, 0..360 for degrees, and 0..400 for gradians). To prevent this wrapping, provide a false value for the <tt>wrap</tt> parameter.
- !ruby/struct:SM::Flow::P 
  body: "To wrap these values manually, use #rad2rad, #deg2deg, or #grad2grad."
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: PI2
  value: "::Math::PI * 2.0"
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: One degree of arc measured in terms of radians.
  name: DR
  value: PI2 / 360.0
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: One radian of arc, measured in terms of degrees.
  name: RD
  value: 360 / PI2
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: One degree of arc, measured in terms of gradians.
  name: DG
  value: 400 / 360.0
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: One gradian of arc, measured in terms of degrees.
  name: GD
  value: 360 / 400.0
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: One radian of arc, measured in terms of gradians.
  name: RG
  value: 400 / PI2
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: One gradian of arc, measured in terms of radians.
  name: GR
  value: PI2 / 400.0
full_name: PDF::Math
includes: []

instance_methods: []

name: Math
superclass: 
